#define NewIOCompletionProc(a)                    NewIOCompletionUPP(a)

#define kFSFileSecurityRemoveACL (acl_t) ((void*)1)

enum {
kFSInvalidVolumeRefNum =1,
kFSVolFlagJournalingActiveMask=2,
kFSCatInfoFSFileSecurityRef=3
};


enum {
bSupportsExtendedFileSecurity=1
};



typedef struct  FSFileSecurityRef*        FSFileSecurityRef;

int  FSCopyURLForVolume(int a, int b);
int  FSGetHFSUniStrFromString(int a,int b);
int  FSCreateFileAndOpenForkUnicode(int a,int b,int c,int d,int e,int f,int g,int h,int i,int j );
int  FSFileSecurityCreate(int a);
int FSFileSecuritySetMode(int a,int b);
int FSFileSecuritySetAccessControlList(int a,int b);
int FSFileSecurityCopyAccessControlList(int a, int b);